"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@angular/core");
var services_1 = require("./services");
var BaasicApp = BaasicApp_1 = (function () {
    function BaasicApp() {
    }
    BaasicApp.forRoot = function (apiKey, options) {
        return {
            ngModule: BaasicApp_1,
            providers: [{
                    provide: services_1.TYPES.Configuration,
                    useValue: {
                        options: options,
                        apiKey: apiKey
                    }
                }]
        };
    };
    return BaasicApp;
}());
BaasicApp = BaasicApp_1 = tslib_1.__decorate([
    core_1.NgModule({
        providers: [
            services_1.ApplicationSettingsService,
            services_1.ArticleService,
            services_1.CommerceService,
            services_1.DynamicResourceService,
            services_1.FilesService,
            services_1.KeyValueService,
            services_1.MediaVaultService,
            services_1.MembershipService,
            services_1.MeteringService,
            services_1.NotificationsService,
            services_1.TemplatingService,
            services_1.UserProfileService,
            services_1.ValueSetService
        ]
    }),
    tslib_1.__metadata("design:paramtypes", [])
], BaasicApp);
exports.BaasicApp = BaasicApp;
;
var BaasicApp_1;
